def new_password(oldpassword, newpassword):
	#checkt of hetzelfde is
	if newpassword != oldpassword:
		#check of lengte klopt
		if len(newpassword) >= 6:
			#check of newpassword minimaal 1 cijfer bevat
			if not any(c.isdigit() for c in newpassword):
				return False
			else:
				return True
		#anders false
		else:
			return False
	#anders false
	else:
		return False


#voldoet eisen
print(new_password('test', 'testing2'))

#wachtwoord is hetzelfde
print(new_password('testing', 'testing'))

#wachtwoord is niet lang genoeg
print(new_password('testing', 'test'))

#wachtwoord heeft geen cijfer
print(new_password('test','testing'))